NoSuchFieldError (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class NoSuchFieldError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.NoSuchFieldError

    @TransactionType(value=NOT_SUPPORTED)
    public class NoSuchFieldError

extends Error

Thrown if an application tries to access or modify a specified field of an object, and that object no longer has that field.

Normally, this error is caught by the compiler; this error can only occur at run time if the definition of a class has incompatibly changed.

Direct instances of this error class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `Throwable.getMessage()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Since:
  JDK1.0, Java Card 3.0

Constructor Summary
`NoSuchFieldError()` Constructs a `NoSuchFieldException` with no detail message.
`NoSuchFieldError(String s)` Constructs a `NoSuchFieldException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchFieldError

    public NoSuchFieldError()

  Constructs a `NoSuchFieldException` with no detail message.

### NoSuchFieldError

    public NoSuchFieldError(String s)

  Constructs a `NoSuchFieldException` with the specified detail message.

  Parameters:
    `s` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.